'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var index = require('../../../../@csnx/design-tokens/tokens/index.js');
var pxToRem = require('../utils/px-to-rem.js');

/**
 * [Storybook](https://guardian.github.io/csnx/?path=/docs/source-foundations_media-queries--page) •
 * [Design System](https://theguardian.design/2a1e5182b/p/41be19-grids)
 */
const breakpoints = {
    mobile: pxToRem.pxStringToNumber(index.tokens.breakpoint.mobile),
    mobileMedium: pxToRem.pxStringToNumber(index.tokens.breakpoint.mobileMedium),
    mobileLandscape: pxToRem.pxStringToNumber(index.tokens.breakpoint.mobileLandscape),
    phablet: pxToRem.pxStringToNumber(index.tokens.breakpoint.phablet),
    tablet: pxToRem.pxStringToNumber(index.tokens.breakpoint.tablet),
    desktop: pxToRem.pxStringToNumber(index.tokens.breakpoint.desktop),
    leftCol: pxToRem.pxStringToNumber(index.tokens.breakpoint.leftCol),
    wide: pxToRem.pxStringToNumber(index.tokens.breakpoint.wide),
};

exports.breakpoints = breakpoints;
//# sourceMappingURL=breakpoints.js.map
