/** Get individual token */
declare function token(tokenID: any, modeName: any): any;
declare namespace tokens {
    export namespace body {
        namespace medium {
            let fontFamily: string[];
            let fontSize: string;
            let lineHeight: number;
            let fontWeight: number;
        }
        namespace small {
            let fontFamily_1: string[];
            export { fontFamily_1 as fontFamily };
            let fontSize_1: string;
            export { fontSize_1 as fontSize };
            let lineHeight_1: number;
            export { lineHeight_1 as lineHeight };
            let fontWeight_1: number;
            export { fontWeight_1 as fontWeight };
        }
        namespace xSmall {
            let fontFamily_2: string[];
            export { fontFamily_2 as fontFamily };
            let fontSize_2: string;
            export { fontSize_2 as fontSize };
            let lineHeight_2: number;
            export { lineHeight_2 as lineHeight };
            let fontWeight_2: number;
            export { fontWeight_2 as fontWeight };
        }
    }
    export namespace breakpoint {
        let desktop: string;
        let leftCol: string;
        let mobile: string;
        let mobileLandscape: string;
        let mobileMedium: string;
        let phablet: string;
        let tablet: string;
        let wide: string;
    }
    export namespace colour {
        let blue: {
            1: string;
            2: string;
            3: string;
            4: string;
            5: string;
            6: string;
            7: string;
            8: string;
            9: string;
            10: string;
            11: string;
            12: string;
        };
        let brown: {
            1: string;
            2: string;
            3: string;
            4: string;
            5: string;
            6: string;
            7: string;
            8: string;
            9: string;
            10: string;
        };
        let gray: {
            1: string;
            2: string;
            3: string;
            4: string;
            5: string;
            6: string;
            7: string;
            8: string;
            9: string;
            10: string;
        };
        let green: {
            1: string;
            2: string;
            3: string;
            4: string;
            5: string;
            6: string;
        };
        let orange: {
            1: string;
            2: string;
            3: string;
            4: string;
            5: string;
            6: string;
            7: string;
            8: string;
        };
        let pink: {
            1: string;
            2: string;
            3: string;
            4: string;
            5: string;
            6: string;
            7: string;
            8: string;
        };
        let red: {
            1: string;
            2: string;
            3: string;
            4: string;
            5: string;
            6: string;
            7: string;
            8: string;
        };
        let special: {
            1: string;
            2: string;
            3: string;
            4: string;
            5: string;
            6: string;
            7: string;
            8: string;
            9: string;
            10: string;
            11: string;
            12: string;
            13: string;
        };
        let yellow: {
            1: string;
            2: string;
            3: string;
        };
    }
    export namespace font {
        export namespace family {
            let body_1: string[];
            export { body_1 as body };
            export let headline: string[];
            export let textSans: string[];
            export let titlepiece: string[];
        }
        export namespace lineHeight_3 {
            let loose: number;
            let regular: number;
            let tight: number;
        }
        export { lineHeight_3 as lineHeight };
        export let size: {
            12: string;
            14: string;
            15: string;
            17: string;
            20: string;
            24: string;
            28: string;
            34: string;
            42: string;
            50: string;
            70: string;
        };
        export namespace weight {
            export let bold: number;
            export let light: number;
            let medium_1: number;
            export { medium_1 as medium };
            let regular_1: number;
            export { regular_1 as regular };
        }
    }
    export namespace headline_1 {
        export namespace large {
            let fontFamily_3: string[];
            export { fontFamily_3 as fontFamily };
            let fontSize_3: string;
            export { fontSize_3 as fontSize };
            let lineHeight_4: number;
            export { lineHeight_4 as lineHeight };
            let fontWeight_3: number;
            export { fontWeight_3 as fontWeight };
        }
        export namespace medium_2 {
            let fontFamily_4: string[];
            export { fontFamily_4 as fontFamily };
            let fontSize_4: string;
            export { fontSize_4 as fontSize };
            let lineHeight_5: number;
            export { lineHeight_5 as lineHeight };
            let fontWeight_4: number;
            export { fontWeight_4 as fontWeight };
        }
        export { medium_2 as medium };
        export namespace small_1 {
            let fontFamily_5: string[];
            export { fontFamily_5 as fontFamily };
            let fontSize_5: string;
            export { fontSize_5 as fontSize };
            let lineHeight_6: number;
            export { lineHeight_6 as lineHeight };
            let fontWeight_5: number;
            export { fontWeight_5 as fontWeight };
        }
        export { small_1 as small };
        export namespace xLarge {
            let fontFamily_6: string[];
            export { fontFamily_6 as fontFamily };
            let fontSize_6: string;
            export { fontSize_6 as fontSize };
            let lineHeight_7: number;
            export { lineHeight_7 as lineHeight };
            let fontWeight_6: number;
            export { fontWeight_6 as fontWeight };
        }
        export namespace xSmall_1 {
            let fontFamily_7: string[];
            export { fontFamily_7 as fontFamily };
            let fontSize_7: string;
            export { fontSize_7 as fontSize };
            let lineHeight_8: number;
            export { lineHeight_8 as lineHeight };
            let fontWeight_7: number;
            export { fontWeight_7 as fontWeight };
        }
        export { xSmall_1 as xSmall };
        export namespace xxSmall {
            let fontFamily_8: string[];
            export { fontFamily_8 as fontFamily };
            let fontSize_8: string;
            export { fontSize_8 as fontSize };
            let lineHeight_9: number;
            export { lineHeight_9 as lineHeight };
            let fontWeight_8: number;
            export { fontWeight_8 as fontWeight };
        }
        export namespace xxxSmall {
            let fontFamily_9: string[];
            export { fontFamily_9 as fontFamily };
            let fontSize_9: string;
            export { fontSize_9 as fontSize };
            let lineHeight_10: number;
            export { lineHeight_10 as lineHeight };
            let fontWeight_9: number;
            export { fontWeight_9 as fontWeight };
        }
    }
    export { headline_1 as headline };
    export namespace height {
        let ctaMedium: string;
        let ctaSmall: string;
        let ctaXSmall: string;
        let iconMedium: string;
        let iconSmall: string;
        let iconXSmall: string;
        let inputMedium: string;
        let inputXSmall: string;
    }
    export namespace palette {
        let brand: {
            100: string;
            300: string;
            400: string;
            500: string;
            600: string;
            800: string;
        };
        let brandAlt: {
            200: string;
            300: string;
            400: string;
        };
        let culture: {
            50: string;
            100: string;
            200: string;
            300: string;
            /** Deprecated: Use colour.culture.400 */
            350: string;
            400: string;
            450: string;
            500: string;
            600: string;
            700: string;
            800: string;
        };
        let error: {
            400: string;
            500: string;
        };
        let focus: {
            400: string;
        };
        let labs: {
            200: string;
            300: string;
            400: string;
        };
        let lifestyle: {
            100: string;
            200: string;
            300: string;
            400: string;
            450: string;
            500: string;
            600: string;
            800: string;
        };
        let neutral: {
            0: string;
            7: string;
            10: string;
            20: string;
            46: string;
            60: string;
            86: string;
            93: string;
            97: string;
            100: string;
        };
        let news: {
            100: string;
            200: string;
            300: string;
            400: string;
            500: string;
            550: string;
            600: string;
            800: string;
        };
        let opinion: {
            100: string;
            200: string;
            /** Deprecated: Use colour.opinion.400 */
            300: string;
            400: string;
            450: string;
            500: string;
            550: string;
            600: string;
            800: string;
        };
        let specialReport: {
            100: string;
            200: string;
            300: string;
            400: string;
            450: string;
            500: string;
            700: string;
            800: string;
        };
        let specialReportAlt: {
            100: string;
            200: string;
            300: string;
            700: string;
            800: string;
        };
        let sport: {
            100: string;
            200: string;
            300: string;
            400: string;
            500: string;
            600: string;
            800: string;
        };
        let success: {
            400: string;
            500: string;
        };
    }
    export namespace size_1 {
        export namespace icon {
            let medium_3: string;
            export { medium_3 as medium };
            let small_2: string;
            export { small_2 as small };
            let xSmall_2: string;
            export { xSmall_2 as xSmall };
        }
        let medium_4: string;
        export { medium_4 as medium };
        let small_3: string;
        export { small_3 as small };
        let xSmall_3: string;
        export { xSmall_3 as xSmall };
    }
    export { size_1 as size };
    export let space: {
        0: string;
        1: string;
        2: string;
        3: string;
        4: string;
        5: string;
        6: string;
        8: string;
        9: string;
        10: string;
        12: string;
        14: string;
        16: string;
        18: string;
        24: string;
    };
    export namespace textSans_1 {
        export namespace large_1 {
            let fontFamily_10: string[];
            export { fontFamily_10 as fontFamily };
            let fontSize_10: string;
            export { fontSize_10 as fontSize };
            let lineHeight_11: number;
            export { lineHeight_11 as lineHeight };
            let fontWeight_10: number;
            export { fontWeight_10 as fontWeight };
        }
        export { large_1 as large };
        export namespace medium_5 {
            let fontFamily_11: string[];
            export { fontFamily_11 as fontFamily };
            let fontSize_11: string;
            export { fontSize_11 as fontSize };
            let lineHeight_12: number;
            export { lineHeight_12 as lineHeight };
            let fontWeight_11: number;
            export { fontWeight_11 as fontWeight };
        }
        export { medium_5 as medium };
        export namespace small_4 {
            let fontFamily_12: string[];
            export { fontFamily_12 as fontFamily };
            let fontSize_12: string;
            export { fontSize_12 as fontSize };
            let lineHeight_13: number;
            export { lineHeight_13 as lineHeight };
            let fontWeight_12: number;
            export { fontWeight_12 as fontWeight };
        }
        export { small_4 as small };
        export namespace xLarge_1 {
            let fontFamily_13: string[];
            export { fontFamily_13 as fontFamily };
            let fontSize_13: string;
            export { fontSize_13 as fontSize };
            let lineHeight_14: number;
            export { lineHeight_14 as lineHeight };
            let fontWeight_13: number;
            export { fontWeight_13 as fontWeight };
        }
        export { xLarge_1 as xLarge };
        export namespace xSmall_4 {
            let fontFamily_14: string[];
            export { fontFamily_14 as fontFamily };
            let fontSize_14: string;
            export { fontSize_14 as fontSize };
            let lineHeight_15: number;
            export { lineHeight_15 as lineHeight };
            let fontWeight_14: number;
            export { fontWeight_14 as fontWeight };
        }
        export { xSmall_4 as xSmall };
        export namespace xxLarge {
            let fontFamily_15: string[];
            export { fontFamily_15 as fontFamily };
            let fontSize_15: string;
            export { fontSize_15 as fontSize };
            let lineHeight_16: number;
            export { lineHeight_16 as lineHeight };
            let fontWeight_15: number;
            export { fontWeight_15 as fontWeight };
        }
        export namespace xxSmall_1 {
            let fontFamily_16: string[];
            export { fontFamily_16 as fontFamily };
            let fontSize_16: string;
            export { fontSize_16 as fontSize };
            let lineHeight_17: number;
            export { lineHeight_17 as lineHeight };
            let fontWeight_16: number;
            export { fontWeight_16 as fontWeight };
        }
        export { xxSmall_1 as xxSmall };
        export namespace xxxLarge {
            let fontFamily_17: string[];
            export { fontFamily_17 as fontFamily };
            let fontSize_17: string;
            export { fontSize_17 as fontSize };
            let lineHeight_18: number;
            export { lineHeight_18 as lineHeight };
            let fontWeight_17: number;
            export { fontWeight_17 as fontWeight };
        }
    }
    export { textSans_1 as textSans };
    export namespace titlepiece_1 {
        export namespace large_2 {
            let fontFamily_18: string[];
            export { fontFamily_18 as fontFamily };
            let fontSize_18: string;
            export { fontSize_18 as fontSize };
            let lineHeight_19: number;
            export { lineHeight_19 as lineHeight };
            let fontWeight_18: number;
            export { fontWeight_18 as fontWeight };
        }
        export { large_2 as large };
        export namespace medium_6 {
            let fontFamily_19: string[];
            export { fontFamily_19 as fontFamily };
            let fontSize_19: string;
            export { fontSize_19 as fontSize };
            let lineHeight_20: number;
            export { lineHeight_20 as lineHeight };
            let fontWeight_19: number;
            export { fontWeight_19 as fontWeight };
        }
        export { medium_6 as medium };
        export namespace small_5 {
            let fontFamily_20: string[];
            export { fontFamily_20 as fontFamily };
            let fontSize_20: string;
            export { fontSize_20 as fontSize };
            let lineHeight_21: number;
            export { lineHeight_21 as lineHeight };
            let fontWeight_20: number;
            export { fontWeight_20 as fontWeight };
        }
        export { small_5 as small };
    }
    export { titlepiece_1 as titlepiece };
    export namespace width {
        let ctaMedium_1: string;
        export { ctaMedium_1 as ctaMedium };
        let ctaSmall_1: string;
        export { ctaSmall_1 as ctaSmall };
        let ctaXSmall_1: string;
        export { ctaXSmall_1 as ctaXSmall };
        let iconMedium_1: string;
        export { iconMedium_1 as iconMedium };
        let iconSmall_1: string;
        export { iconSmall_1 as iconSmall };
        let iconXSmall_1: string;
        export { iconXSmall_1 as iconXSmall };
        let inputXSmall_1: string;
        export { inputXSmall_1 as inputXSmall };
    }
}
declare const modes: {};
export { token, tokens, modes };
